Subject: Re: bug#28623: 27.0.50; lisp/progmodes/cc-engine.el incorrect indentation of C++14 curly-brace initializer list

From: Tadeus Prastowo <[email-masked]>
Date: Fri, 10 Nov 2017 13:07:51 +0100

Hi Alan!

On Thu, Nov 9, 2017 at 7:53 PM, Alan Mackenzie <[email-masked]> wrote:
> Hello, Tadeus.
>
> On Thu, Nov 09, 2017 at 10:27:55 +0100, Tadeus Prastowo wrote:

[...]

> I've committed the patch to the canonical places, including the emacs-26
> branch at savannah (whence it will find it's way into master), and I'm
> closing the bug.

Thank you very much.

>> And, just out of curiosity, in cc-engine, there is a long function
>> with many inline comments in the form of CASE xxx.  Why aren't those
>> refactored into individual functions?  Performance issue?
>
> There are two such functions, c-forward-decl-or-cast-1 and
> c-guess-basic-syntax.  Both of them have LOTS of local variables which
> would have to be passed into smaller individual functions, and sometimes
> those functions would have to alter the "more global" version of the
> variable.
>
> Doing this would indeed be slower, but probably not very much.  I suspect
> all the parameter passing would be awkward.  But it's worth stating that
> my predecessor, Martin Stjernholm, extracted c-guess-continued-construct
> from c-guess-basic-syntax, which shows that it is possible.

I see.  Thank you very much for kindly explaining that to me.

> --
> Alan Mackenzie (Nuremberg, Germany).

--
Best regards,
Tadeus